Name:		cherrytree
Version:	0.30.5
Release:	%mkrel 2
Summary:	Hierarchical note taking application
Group:		Office/Utilities
License:	GPLv2+
URL:		http://www.giuspen.com/cherrytree/
Source0:	http://www.giuspen.com/software/%{name}-%{version}.tar.xz
BuildArch:	noarch
BuildRequires:	python-devel
Requires:	python(abi) = %{py_ver}
Requires:	pygtk2.0
Requires:	python-gobject
Requires:	python-gtksourceview
Requires:	python-enchant
Requires:	p7zip

%description
CherryTree is a hierarchical note taking application, featuring rich text and
syntax highlighting, storing all the data (including images) in a single XML
file with .ctd extension.

%prep
%setup -q

%build
python setup.py build

%install
python setup.py install -O1 --root %{buildroot}

# don't include useless egg
rm -rf %{buildroot}%{python_sitelib}

# these are no longer in use
rm -rf %{buildroot}%{_datadir}/application-registry/
rm -rf %{buildroot}%{_datadir}/mime-info/

%find_lang %{name}

%files -f %{name}.lang
%doc changelog.txt
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/mime/packages/%{name}.xml
%{_mandir}/man1/*.1*


%changelog
* Mon Oct 21 2013 umeabot <umeabot> 0.30.5-2.mga4
+ Revision: 538339
- Mageia 4 Mass Rebuild

* Sun Sep 29 2013 wally <wally> 0.30.5-1.mga4
+ Revision: 489291
- new version 0.30.5
- require python-enchant

* Sun May 26 2013 wally <wally> 0.29.4-1.mga4
+ Revision: 428191
- new version 0.29.4

* Fri Jan 11 2013 umeabot <umeabot> 0.28.5-2.mga3
+ Revision: 347672
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + boklm <boklm>
    - Update group: Office/Other -> Office/Utilities

* Wed Nov 28 2012 wally <wally> 0.28.5-1.mga3
+ Revision: 322677
- fix RPM group
- new version 0.28.5

* Sun Aug 12 2012 wally <wally> 0.26.3-2.mga3
+ Revision: 280943
- explicitly require python2

* Sun Aug 12 2012 wally <wally> 0.26.3-1.mga3
+ Revision: 280937
- new version 0.26.3
- clean .spec
- import cherrytree from fedora


* Wed Jun 13 2012 Robin Lee <cheeselee@fedoraproject.org> - 0.26.2-1
- Update to 0.26.2

* Sun May 27 2012 Robin Lee <cheeselee@fedoraproject.org> - 0.26-1
- Update to 0.26

* Sun Mar  4 2012 Robin Lee <cheeselee@fedoraproject.org> - 0.25.4-1
- Update to 0.25.4

* Sat Feb 18 2012 Robin Lee <cheeselee@fedoraproject.org> - 0.25.3-1
- Update to 0.25.3

* Wed Jan 25 2012 Robin Lee <cheeselee@fedoraproject.org> - 0.25.2-1
- Update to 0.25.2

* Sun Jan 22 2012 Robin Lee <cheeselee@fedoraproject.org> - 0.25.1-1
- Update to 0.25.1

* Mon Jan 16 2012 Robin Lee <cheeselee@fedoraproject.org> - 0.25-1
- Update to 0.25

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.24-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sat Dec 31 2011 Robin Lee <cheeselee@fedoraproject.org> - 0.24-1
- Update to 0.24

* Thu Nov  3 2011 Robin Lee <cheeselee@fedoraproject.org> - 0.23.1-1
- Update to 0.23.1
- Add manuall python(abi) requirement

* Thu Jun 23 2011 Christoph Wickert <cwickert@fedoraproject.org> - 0.22.1-1
- Update to 0.22.1

* Sun Apr 25 2011 Christoph Wickert <cwickert@fedoraproject.org> - 0.21-1
- Update to 0.21

* Tue Mar 08 2011 Christoph Wickert <cwickert@fedoraproject.org> - 0.20.1-1
- Update to 0.20.1

* Tue Mar 08 2011 Christoph Wickert <cwickert@fedoraproject.org> - 0.20.1-1
- Update to 0.20

* Sat Jan 22 2011 Christoph Wickert <cwickert@fedoraproject.org> - 0.19.3-2
- Omit %%{_datadir}/application-registry/ and %%{_datadir}/mime-info/

* Fri Jan 21 2011 Christoph Wickert <cwickert@fedoraproject.org> - 0.19.3-2
- Remove useless egg and manually add python(abi) requirement

* Mon Jan 17 2011 Christoph Wickert <cwickert@fedoraproject.org> - 0.19.3-1
- Update to 0.19.3

* Sat Jan 15 2011 Christoph Wickert <cwickert@fedoraproject.org> - 0.19.2-1
- Update to 0.19.2
- Drop cherrytree.glade.h again
- Make sure cherrytree.desktop is not executable

* Tue Jan 11 2011 Christoph Wickert <cwickert@fedoraproject.org> - 0.19.1-1
- Update to 0.19.1
- Use setup.py instead of manual installation
- BR python2-devel instead of python-devel

* Tue Jan 04 2011 Christoph Wickert <cwickert@fedoraproject.org> - 0.19-2
- Drop cherrytree.glade.h

* Mon Jan 03 2011 Christoph Wickert <cwickert@fedoraproject.org> - 0.19-1
- Update to 0.19

* Wed Dec 29 2010 Christoph Wickert <cwickert@fedoraproject.org> - 0.18.1-1
- Update to 0.18.1

* Mon Dec 20 2010 Christoph Wickert <cwickert@fedoraproject.org> - 0.17.1-1
- Inital package
